GET /gene/symbol/{symbols}/taxon/{taxon}/dataset_report

nih.gov:ncbi-datasets-api

Summary: Get a gene data report by symbol and taxon
Operation ID: gene_dataset_report_by_tax_and_symbol
Auth: unknown
Description

Get a gene data report by gene symbol and taxon. By default, in paged JSON format, but also available in tabular (accept: text/tab-separated-values) or JSON Lines (accept: application/x-ndjson) formats.

Parameters (11)

include_tabular_header (?, query, optional)

Specify when to include the table header when requesting a tabular report.

page_size (integer, query, optional, default: 20)

The maximum number of gene reports to return. Default is 20 and maximum is 1000. If the number of results exceeds the page size, `page_token` can be used to retrieve the remaining results.

page_token (string, query, optional)

A page token is returned when the results count exceeds `page size`. Use this token along with previous request parameters to retrieve the next page of results. When `page_token` is empty, all results have been retrieved.

query (string, query, optional)

Limit to genes that match the specified gene symbol, name (description), alias, locus tag or protein name.

returned_content (?, query, optional)

Return complete gene reports, or abbreviated reports with either GeneIDs only or GeneIDs, transcript and protein counts.

symbols (array, path, required)

One or more gene symbols

table_fields (array, query, optional)

Specify which fields to include in the tabular report. Additional fields are described here: [Create a table from the gene data reports](https://www.ncbi.nlm.nih.gov/datasets/docs/v2/command-line-tools/using-dataformat/gene-data-reports/). Use of this parameter requires the HTTP header, `accept: text/tab-separated-values`.

table_format (string, query, optional)

Specify a predefined set of fields for the tabular report using built-in templates. Use of this parameter requires the HTTP header, `accept: text/tab-separated-values`.

tax_search_subtree (boolean, query, optional, default: False)

If true, include genes from taxonomic ranks below the requested taxon.

taxon (string, path, required)

NCBI Taxonomy ID or name (common or scientific, any taxonomic rank) for the provided gene symbol

types (array, query, optional)

Limit to genes matching the specified gene type.

Examples (1)

TitleTypeURLAction
Get a gene data report by symbol and taxon openapi-spec https://api.ncbi.nlm.nih.gov/datasets/v2/gene/symbol/GNAS/taxon/9606/dataset_report?returned_content=IDS_ONLY&table_fields=['gene-id', 'gene-type', 'description']&table_format=summary&query=A2M immunoglobulin&types=PROTEIN_CODING

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 09:10:35.006051 200 685ms